# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "oxo-flow-web"
version = "0.5.4"
authors = ["Traitome <https://github.com/Traitome>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Web interface for the oxo-flow bioinformatics pipeline engine"
homepage = "https://github.com/Traitome/oxo-flow"
readme = false
license-file = "LICENSE-ACADEMIC"
repository = "https://github.com/Traitome/oxo-flow"
resolver = "2"

[lib]
name = "oxo_flow_web"
path = "src/lib.rs"

[[bin]]
name = "oxo-flow-web"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.async-stream]
version = "0.3.6"

[dependencies.axum]
version = "0.8"

[dependencies.chrono]
version = "0.4"
features = ["serde"]

[dependencies.dashmap]
version = "6.1"

[dependencies.futures]
version = "0.3.32"

[dependencies.oxo-flow-core]
version = "0.5.4"

[dependencies.oxo-license]
version = "0.1.1"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sqlx]
version = "0.8.3"
features = [
    "sqlite",
    "runtime-tokio",
    "uuid",
    "chrono",
]

[dependencies.sysinfo]
version = "0.35"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.tokio-stream]
version = "0.1"

[dependencies.tower]
version = "0.5"

[dependencies.tower-http]
version = "0.6"
features = [
    "cors",
    "fs",
]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "json",
]

[dependencies.uuid]
version = "1"
features = ["v4"]
